S-GEAR v3.0 L

 


S-GEAR v3.0 L

 

Please note:    It is recommended to uninstall earlier versions of S-Gear before installing S-Gear v3.0 

 

S-GEAR v3.0.2L for macOS

S-GEAR Application • AudioUnit • VST3 AAX

Legacy installer for macOS systems 10.10 (Yosemite) to 10.12 (Sierra)

System Requirements:

  • Apple MAC running macOS 10.10 to 10.12
  • Plug-ins require a 64bit host


Posted: 29th July 2022